# -*- coding: utf_8 -*-
from __future__ import with_statement
print "b172"
os.chdir("/Users/was/notebook/misc/worksheets/admin/248/cells/20")
sage.server.notebook.interact.SAGE_CELL_ID=20
__SAGE_t__=cputime()
__SAGE_w__=walltime()
@interact
def f(digits=(Integer(100),Integer(10)**Integer(5))):
    digits = int(digits)
    print digits
    s = N(e**Integer(2), digits=digits)
    d = list(str(s))
    d = [int(a) for a in str(s) if a != '.']
    T = finance.TimeSeries(d)
    T = T.add_scalar(-RealNumber('4.5'))  # adds -4.5 to every entry
    T = T.sums()  # sequence of partial sums
    print T.hurst_exponent()
    T.plot().show(frame=True, figsize=[Integer(8),Integer(3)])
print "CPU time: %.2f s,  Wall time: %.2f s"%(cputime(__SAGE_t__), walltime(__SAGE_w__))

print "e172"
